%define anolis_release 3

%global githubname QAT_Engine
%global enginesdir %(pkg-config --variable=enginesdir libcrypto)

Name:           qatengine
Version:        0.6.16
Release:        %{anolis_release}%{?dist}
Summary:        Intel QuickAssist Technology (QAT) OpenSSL Engine
License:        BSD and OpenSSL
URL:            https://github.com/intel/%{githubname}
Source0:        https://github.com/intel/%{githubname}/archive/v%{version}/v%{version}.tar.gz

BuildRequires:  gcc make pkg-config
BuildRequires:  autoconf automake libtool
BuildRequires:  openssl-devel >= 1.1.1
#BuildRequires:  qatlib-devel >= 21.08.0
BuildRequires:  intel-ipp-crypto-mb-devel
BuildRequires:  intel-ipsec-mb-devel

ExclusiveArch:  x86_64

%description
This package provides the Intel QuickAssist Technology OpenSSL Engine
(an OpenSSL Plug-In Engine) which provides cryptographic acceleration
for both hardware and optimized software using Intel QuickAssist Technology
enabled Intel platforms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{githubname}-%{version} -p1

%build
autoreconf -ivf
%configure --enable-qat_sw --disable-qat_hw
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license LICENSE*
%dir %{abidir}
%{enginesdir}/qatengine.so
%{abidir}/qatengine.dump

%files doc
%doc README.md docs*

%changelog
* Tue Oct 25 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-3
- enable qat_sw and disable qat_hw

* Tue Oct 18 20222 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-2
- delete scripts of la and change abi.

* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-1
- Init package from upstream
